### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
SuperSharePayoff Class Reference

Binary supershare payoff. More...

`#include <ql/instruments/payoffs.hpp>`

Inheritance diagram for SuperSharePayoff:
[legend]

List of all members.

## Public Member Functions

| SuperSharePayoff (Real strike, Real secondStrike, Real cashPayoff)
Real | strike () const
Real | secondStrike () const
Real | cashPayoff () const
Payoff interface
std::string | name () const
std::string | description () const
Real | operator() (Real price) const
virtual void | accept (AcyclicVisitor &)

## Protected Attributes

Real | strike_
Real | secondStrike_
Real | cashPayoff_

## Detailed Description

Binary supershare payoff.

## Member Function Documentation

std::string name | ( |  | ) | const`[virtual]`

Warning:
  This method is used for output and comparison between payoffs. It is not meant to be used for writing switch-on-type code.

Implements Payoff.